[Qa-jenkins-scm] [jenkins.debian.net] 01/01: reproducible: fix strange syntax error by triggering warnings instead
Holger Levsen
holger at moszumanska.debian.org
Fri Mar 13 16:44:09 UTC 2015
This is an automated email from the git hooks/post-receive script.
holger pushed a commit to branch master
in repository jenkins.debian.net.
commit 20da1c9e6d98879f61053404306e1c010919b021
Author: Holger Levsen <holger at layer-acht.org>
Date: Fri Mar 13 17:42:08 2015 +0100
reproducible: fix strange syntax error by triggering warnings instead
---
bin/reproducible_build.sh | 2 +-
logparse/reproducible.rules | 1 +
2 files changed, 2 insertions(+), 1 deletion(-)
diff --git a/bin/reproducible_build.sh b/bin/reproducible_build.sh
index f8efd22..a2a12ac 100755
--- a/bin/reproducible_build.sh
+++ b/bin/reproducible_build.sh
@@ -191,7 +191,7 @@ else
# preserve RBUILDLOG as TMPLOG, then cleanup userContent from previous builds,
# and then access RBUILDLOG with it's correct name (=eversion)
TMPLOG=$(mktemp)
- mv ${RBUILDLOG} ${TMPLOG} || { echo "Warning, package ${SRCPACKAGE} in ${SUITE} on ${ARCH} is probably already building elsewhere, exiting." ; echo "Warning, package ${SRCPACKAGE} in ${SUITE} on ${ARCH} is probably already building elsewhere, exiting." | mail -s "race condition found" qa-jenkins-scm at lists.alioth.debian.org ; exit 0 }
+ mv ${RBUILDLOG} ${TMPLOG} || { echo "Warning, package ${SRCPACKAGE} in ${SUITE} on ${ARCH} is probably already building elsewhere, exiting." ; exit 0 }
cleanup_userContent
RBUILDLOG=/var/lib/jenkins/userContent/rbuild/${SUITE}/${ARCH}/${SRCPACKAGE}_${EVERSION}.rbuild.log
mv ${TMPLOG} ${RBUILDLOG}
diff --git a/logparse/reproducible.rules b/logparse/reproducible.rules
index dcb928d..8350eec 100644
--- a/logparse/reproducible.rules
+++ b/logparse/reproducible.rules
@@ -12,3 +12,4 @@ warning /Warning: .+ could not be fully removed./
warning /Warning: could not download.+/
warning /Warning: the following failed builds have been found/
warning /Warning: cannot update html pages for.+/
+warning /Warning: package .+is probably already building elsewhere, exiting./
--
Alioth's /usr/local/bin/git-commit-notice on /srv/git.debian.org/git/qa/jenkins.debian.net.git
More information about the Qa-jenkins-scm
mailing list